View Issue Details

This bug affects 2 person(s).
 12
IDProjectCategoryView StatusLast Update
17729Bug reportsSurvey editingpublic2021-12-01 09:28
ReporterMeirOverferst Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.2.x 
Fixed in Version5.2.x 
Summary17729: Setting default answers not working as expected for some question types
DescriptionSetting default answers not working as expected for some question types
Steps To ReproduceSet a default answer for a radio type of question.
Check attachment.


TagsNo tags attached.
Bug heat12
Complete LimeSurvey version number (& build) 5.2.2
I will donate to the project if issue is resolvedNo
Browser
Database type & version 5.2.2
Server OS (if known)
Webserver software & version (if known)
PHP Versionlatest

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

MeirOverferst

MeirOverferst

2021-11-17 14:59

reporter  

Selection_208.png (44,456 bytes)   
Selection_208.png (44,456 bytes)   
DenisChenu

DenisChenu

2021-11-17 15:42

developer   ~67407

Can you export the survey please ?
galads

galads

2021-11-17 15:56

administrator   ~67408

Last edited: 2021-11-18 15:40

@DenisChenu I created a simple one-question survey on LImeSurvey cloud and tested it with different question types. Nothing special, no conditions or expression script.

It was reported by a cloud user.
DenisChenu

DenisChenu

2021-11-17 16:17

developer   ~67409

Last edited: 2021-11-18 15:40

Clearly,
Quick fix in 5 minutes
DenisChenu

DenisChenu

2021-11-17 16:24

developer   ~67410

Last edited: 2021-11-18 15:40

https://github.com/LimeSurvey/LimeSurvey/pull/2146
DenisChenu

DenisChenu

2021-11-17 16:25

developer   ~67411

Last edited: 2021-11-18 15:40

PS : out of project here (no need)
DenisChenu

DenisChenu

2021-11-18 10:58

developer   ~67421

Last edited: 2021-11-18 15:40

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32981
c_schmitz

c_schmitz

2021-12-01 09:28

administrator   ~67625

New version released

Related Changesets

LimeSurvey: master 09202ffb

2021-11-18 10:58:18

DenisChenu


Committer: GitHub Details Diff
Fixed issue 17729: Setting default answers for sibgle choice question type (#2146)

Dev: <? to <?php
Affected Issues
17729
mod - application/views/questionAdministration/editdefaultvalues.php Diff File

Issue History

Date Modified Username Field Change
2021-11-17 14:59 MeirOverferst New Issue
2021-11-17 14:59 MeirOverferst File Added: Selection_208.png
2021-11-17 15:42 DenisChenu Note Added: 67407
2021-11-17 15:42 DenisChenu Bug heat 0 => 2
2021-11-17 15:43 DenisChenu Issue Monitored: DenisChenu
2021-11-17 15:43 DenisChenu Bug heat 2 => 4
2021-11-17 15:53 galads Assigned To => galads
2021-11-17 15:53 galads Status new => confirmed
2021-11-17 15:56 galads Note Added: 67408
2021-11-17 15:56 galads Bug heat 4 => 6
2021-11-17 15:56 galads Description Updated View Revisions
2021-11-17 15:56 galads Steps to Reproduce Updated View Revisions
2021-11-17 16:17 DenisChenu Note Added: 67409
2021-11-17 16:17 DenisChenu File Added: Capture d’écran du 2021-11-17 16-16-53.png
2021-11-17 16:23 DenisChenu Assigned To galads => DenisChenu
2021-11-17 16:24 DenisChenu Note Added: 67410
2021-11-17 16:25 DenisChenu Assigned To DenisChenu => galads
2021-11-17 16:25 DenisChenu Note Added: 67411
2021-11-18 10:58 DenisChenu Changeset attached => LimeSurvey master 09202ffb
2021-11-18 10:58 DenisChenu Note Added: 67421
2021-11-18 10:58 DenisChenu Assigned To galads => DenisChenu
2021-11-18 10:58 DenisChenu Resolution open => fixed
2021-11-18 12:32 guest Bug heat 6 => 12
2021-11-18 15:40 DenisChenu Status confirmed => resolved
2021-11-18 15:40 DenisChenu Fixed in Version => 5.2.x
2021-11-18 15:41 DenisChenu Issue End Monitor: DenisChenu
2021-11-18 15:41 DenisChenu Bug heat 12 => 10
2021-12-01 09:28 c_schmitz Note Added: 67625
2021-12-01 09:28 c_schmitz Bug heat 10 => 12
2021-12-01 09:28 c_schmitz Status resolved => closed